MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000619XdebugUsage problems (Wrong Results)public2010-09-23 02:212011-09-25 23:27
Reporterjasonwyz98 
Assigned Toderick 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version10.04
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000619: Xdebug does NOT show "private" properties defined in parent classes
DescriptionXdebug does NOT show "private" properties defined in parent class when "break point" is set in child class.

IDE: PhpStorm "http://www.jetbrains.com/phpstorm/" [^] [^]

PHP: PHP 5.3.3 by dotdeb.org

Xdebug Config:

zend_extension="/usr/lib/php5/20090626+lfs/xdebug.so"
xdebug.remote_enable=On
xdebug.remote_log="/home/jason/srv/www/test.net/logs/xdebug.log"
xdebug.collect_params=3
xdebug.profiler_enable_trigger=1
xdebug.profiler_output_dir="/home/jason/srv/www/test.net/Profiles"

Thanks
Steps To Reproducenamespace Tests;

abstract class P {

    private $private_prop = ''; // does NOT show up

    protected $protected_prop = ''; // Shows

    public $public_prop = ''; // Shows

    protected function test() {}

}

class C extends P {

    public function __construct() {} // Set "break point" here

}

$c = new C();
Tagsprivate properties
Operating SystemUbuntu 10.04
PHP Version5.3.3
Attached Files

- Relationships

-  Notes
(0001575)
thaddeusmt (reporter)
2010-09-28 01:11
edited on: 2010-09-28 01:12

I can confirm this bug.

Running PHP Version 5.2.10-2ubuntu6 on ubuntu 10.04 with Xdebug v2.1.0 (non thread safe).

Private variables of parent class are not output in Eclipse (helios) during a remote debug session. Public variables are shown as expected. The previous version of xdebug I was using worked fine - wish I could remember what version that was an roll back!

Thanks

    * Xdebug installed: 2.1.0
    * Server API: Apache 2.0 Handler
    * Windows: no
    * Zend Server: no
    * PHP Version: 5.2.10-2
    * Zend API nr: 220060519
    * PHP API nr: 20060613
    * Debug Build: no
    * Thread Safe Build: no
    * Configuration File Path: /etc/php5/apache2
    * Configuration File: /etc/php5/apache2/php.ini
    * Extensions directory: /usr/lib/php5/20060613+lfs

(0001576)
thaddeusmt (reporter)
2010-09-28 16:33

just noticed this "closed" bug, probably related:
http://bugs.xdebug.org/view.php?id=494 [^]
(0001692)
thaddeusmt (reporter)
2011-03-17 15:10

So, this may actually work like it's supposed to but I didn't know how to set it up. If you set this setting in your php.ini you will get the parent variables (I think):

collect_vars = On
(0001729)
nnmatveev (reporter)
2011-04-29 16:51

Related issue from PhpStorm issue tracker:
http://youtrack.jetbrains.net/issue/WI-5644 [^]
(0001784)
derick (administrator)
2011-08-14 19:02

Fixed for 2.1.2 and 2.2.
(0001809)
derick (administrator)
2011-09-25 23:27

I meant 2.1.3 and 2.2-dev.

- Issue History
Date Modified Username Field Change
2010-09-23 02:21 jasonwyz98 New Issue
2010-09-23 04:51 jasonwyz98 Tag Attached: private properties
2010-09-28 01:11 thaddeusmt Note Added: 0001575
2010-09-28 01:12 thaddeusmt Note Edited: 0001575 View Revisions
2010-09-28 16:33 thaddeusmt Note Added: 0001576
2011-03-17 15:10 thaddeusmt Note Added: 0001692
2011-04-29 16:51 nnmatveev Note Added: 0001729
2011-08-14 19:02 derick Note Added: 0001784
2011-08-14 19:02 derick Status new => closed
2011-08-14 19:02 derick Assigned To => derick
2011-08-14 19:02 derick Resolution open => fixed
2011-09-25 23:27 derick Note Added: 0001809
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker